Package org.apache.sling.scripting.jsp.taglib.tei

# Class AdaptToTEI

java.lang.Object
javax.servlet.jsp.tagext.TagExtraInfo
org.apache.sling.scripting.jsp.taglib.tei.AbstractVarTEI
org.apache.sling.scripting.jsp.taglib.tei.AdaptToTEI

public class AdaptToTEI extends AbstractVarTEI

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_ADAPT_TO`

### Fields inherited from class org.apache.sling.scripting.jsp.taglib.tei.AbstractVarTEI

`ATTR_VAR`

## Constructor Summary

Constructors
Constructor
Description
`AdaptToTEI()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getClassName(javax.servlet.jsp.tagext.TagData data)`
Provides the fully qualified class name of the variable injected into the `pageContext`.

### Methods inherited from class org.apache.sling.scripting.jsp.taglib.tei.AbstractVarTEI

`getVariableInfo, getVariableName`

### Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo

`getTagInfo, isValid, setTagInfo, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTR_ADAPT_TO

public static final String ATTR_ADAPT_TO

See Also:
  - Constant Field Values

## Constructor Details

### AdaptToTEI

public AdaptToTEI()

## Method Details

### getClassName

protected String getClassName(javax.servlet.jsp.tagext.TagData data)
Description copied from class: `AbstractVarTEI`
Provides the fully qualified class name of the variable injected into the `pageContext`.

Specified by:
  `getClassName` in class `AbstractVarTEI`
Parameters:
  `data` - The TagData.
Returns:
  The class name of the variable's type.